Class | Chef::Knife::Ssh
In: | lib/chef/knife/ssh.rb
Parent: | Knife

### Methods

configure_attribute configure_identity_file configure_session configure_user csshx fixup_sudo get_password interactive macterm print_data read_line reader run screen session session_from_list ssh_command tmux

### Attributes

password | [W] |

### Public Instance methods

configure_attribute()
configure_identity_file()
configure_session()
configure_user()
csshx()
fixup_sudo(command)
get_password()
interactive()
macterm()
print_data(host, data)
read_line()

Present the prompt and read a single line from the console. It also detects ^D and returns "exit" in that case. Adds the input to the history, unless the input is empty. Loops repeatedly until a non-empty line is input.

reader()
run()
screen()
session()
session_from_list(list)
ssh_command(command, subsession=nil)
tmux()

[Validate]